# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178249304666626/xorg-xorgproto-feedstock/recipe, last modified Fri Jun 26 16:57:41 2026
# ------------------------------------------------

package:
  name: xorg-xorgproto
  version: '2024.1'
source:
  url: https://www.x.org/releases/individual/proto/xorgproto-2024.1.tar.xz
  sha256: 372225fd40815b8423547f5d890c5debc72e88b91088fbfb13158c20495ccb59
  patches: null
build:
  number: '2'
  run_exports:
    - xorg-xorgproto >=2024.1,<2025.0a0
  string: h47b2149_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgomp 15.2.0 h4751f2c_8
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - make 4.2.1 h1bed415_1
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026b he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - xorg-util-macros 1.19.0 h27cfd23_2
  run_constrained:
    - xorg-applewmproto <0.0.0a
    - xorg-bigreqsproto <0.0.0a
    - xorg-compositeproto <0.0.0a
    - xorg-damageproto <0.0.0a
    - xorg-dmxproto <0.0.0a
    - xorg-dpmsproto <0.0.0a
    - xorg-dri2proto <0.0.0a
    - xorg-dri3proto <0.0.0a
    - xorg-fixesproto <0.0.0a
    - xorg-fontsproto <0.0.0a
    - xorg-glproto <0.0.0a
    - xorg-inputproto <0.0.0a
    - xorg-kbproto <0.0.0a
    - xorg-presentproto <0.0.0a
    - xorg-randrproto <0.0.0a
    - xorg-recordproto <0.0.0a
    - xorg-renderproto <0.0.0a
    - xorg-resourceproto <0.0.0a
    - xorg-scrnsaverproto <0.0.0a
    - xorg-videoproto <0.0.0a
    - xorg-xcmiscproto <0.0.0a
    - xorg-xextproto <0.0.0a
    - xorg-xf86bigfontproto <0.0.0a
    - xorg-xf86dgaproto <0.0.0a
    - xorg-xf86driproto <0.0.0a
    - xorg-xf86vidmodeproto <0.0.0a
    - xorg-xineramaproto <0.0.0a
    - xorg-xproto <0.0.0a
    - xorg-xwaylandproto <0.0.0a
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
test:
  commands:
    - test -e $PREFIX/include/X11/extensions/damageproto.h
about:
  home: https://www.x.org/
  dev_url: https://gitlab.freedesktop.org/xorg/proto/xorgproto
  doc_url: https://gitlab.freedesktop.org/xorg/proto/xorgproto
  license: MIT
  license_family: MIT
  license_file: licenses/
  summary: X.org protocol headers
  description: 'xorgproto provides the combined X.Org X11 protocol header files and

    pkg-config metadata previously split across individual *proto packages.

    '
extra:
  recipe-maintainers:
    - pkgw
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/xorg-xorgproto-feedstock
  sha: 8f5dc9c7506494bf60f8d73d8a67e641514e2ed3
  task_id: RsZpHn4HTCaEiURXO6LKbg
  task_run_id: '0'
  pbp_graph_uuid: 9a83a894-7930-4024-8bed-b619744aa3da
